package org.etsi.ttcn.tool.elvior.adapter;

import org.etsi.ttcn.tri.TriAddress;
import org.etsi.ttcn.tri.TriComponentId;
import org.etsi.ttcn.tri.TriMessage;
import org.etsi.ttcn.tri.TriPortId;
import org.etsi.ttcn.tri.TriPortIdList;
import org.etsi.ttcn.tri.TriStatus;
import org.etsi.ttcn.tri.TriTestCaseId;

public class TestAdapter extends org.etsi.ttcn.adapter.core.TestAdapter {

    @Override
	public TriStatus triExecuteTestCase(final TriTestCaseId tcId, final TriPortIdList portList) {
        return required.getTriStatus(TriStatus.TRI_OK);
    }
    
    @Override
    public TriStatus triGetStreamValue(TriComponentId triComponentId, TriPortId triPortId, TriAddress triAddress, TriMessage triMessage) {
    	return required.getTriStatus(TriStatus.TRI_OK);
    }
    
    @Override
    public TriStatus triSetStreamValue(TriComponentId triComponentId, TriPortId triPortId, TriAddress triAddress, TriMessage triMessage) {
    	return required.getTriStatus(TriStatus.TRI_OK);
    }
    
    @Override
    public TriStatus triStaticMap(TriPortId triPortId1, TriPortId triPortId2) {
    	return required.getTriStatus(TriStatus.TRI_OK);
    }
}
